Last Comment Bug 790488 - shareButton tests should check behaviour of multiple tabs
: shareButton tests should check behaviour of multiple tabs
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Mark Hammond [:markh]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 17:48 PDT by Mark Hammond [:markh]
Modified: 2012-09-25 11:41 PDT (History)
2 users (show)
markh: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
New tests (3.87 KB, patch)
2012-09-11 17:48 PDT, Mark Hammond [:markh]
jaws: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Review

Description Mark Hammond [:markh] 2012-09-11 17:48:07 PDT
Created attachment 660276 [details] [diff] [review]
New tests

The share button tests should check a couple of multi-tab scenarios:

* With 2 tabs on the same page and the share action taken on one of the tabs, that action if reflected when switching to the other tab.

* With 1 tab opened and shared, then the tab closed and another tab to the same URL is opened, the share state is still reflected.

The following patch is only to tests as it did all work as expected :)
Comment 1 Jared Wein [:jaws] (please needinfo? me) 2012-09-12 05:50:09 PDT
Comment on attachment 660276 [details] [diff] [review]
New tests

Review of attachment 660276 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/base/content/test/browser_social_shareButton.js
@@ +200,5 @@
> +  }
> +  is(shareButton.hasAttribute("shared"), false, "Share button should not have 'shared' for the initial tab");
> +  let tab1 = gBrowser.selectedTab = gBrowser.addTab(toShare);
> +  let tab1b = gBrowser.getBrowserForTab(tab1);
> +  

nit: please remove these blank spaces.
Comment 3 Ed Morley [:emorley] 2012-09-13 13:08:30 PDT
https://hg.mozilla.org/mozilla-central/rev/4a63439012b3
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:41:49 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/e7b0279a3f5d

Note You need to log in before you can comment on or make changes to this bug.